import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon() {

        hamletParser.getHamletData();
        String expected = hamletParser.modifyFile(hamletText,"Hamlet","Leon");

        System.out.println(expected);

    }

    @Test
    public void testChangeHoratioToTariq() {

        hamletParser.getHamletData();
        String expected = hamletParser.modifyFile(hamletText,"Horatio","Tariq");

        System.out.println(expected);
    }

    @Test
    public void testFindHoratio() {

        hamletParser.getHamletData();
        String expected = hamletParser.modifyFile(hamletText,"Tariq","Horatio");

        System.out.println(expected);
    }

    @Test
    public void testFindHamlet() {

        hamletParser.getHamletData();
        String expected = hamletParser.modifyFile(hamletText,"Leon","Hamlet");

        System.out.println(expected);
    }
}